#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 foldl
version:              1.4.18
visibility:           public
id:                   foldl-1.4.18-65tQX0cFiZZNv4wQOVdL1
key:                  foldl-1.4.18-65tQX0cFiZZNv4wQOVdL1
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  68ddaa29adc31a8e9a7136636c5bfe4e
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.4.8/site-local/foldl-1.4.18
library-dirs:         /usr/lib/ghc-9.4.8/site-local/foldl-1.4.18
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/foldl-1.4.18
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.18-65tQX0cFiZZNv4wQOVdL1
depends:
    base-4.17.2.1 bytestring-0.11.5.3
    comonad-5.0.9-KMCKZOfMqtjGKm0riXi643 containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    hashable-1.4.4.0-7zzKXDBa1HP1F6vPi1Tvtg
    primitive-0.8.0.0-5TU9coTCbFAF1LmcqkQLR6
    profunctors-5.6.3-1rS3FBb1Nud9uOnEvo2O4l
    random-1.2.1.2-DMddtPYQ40b7NoL9BGCIdx
    semigroupoids-6.0.1-EAROZ6BfD723cjjoHEcpI5 text-2.0.2
    transformers-0.5.6.2
    unordered-containers-0.2.20-66FGtARgHXEQRH0VfdDtx
    vector-0.13.2.0-F8322NeNtfL69paM3N9AVt

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

